import * as ec2 from '@aws-cdk/aws-ec2';
import * as cdk from '@aws-cdk/core';
/**
 *
 */
export interface CodePipelineBitbucketBuildResultReporterProps {
    /**
     * The VPC in which to run the status reporter.
     */
    readonly vpc: ec2.VpcAttributes;
    /**
     * Name of the SSM parameter that contains the BitBucket access token.
     *
     * @default BITBUCKET_UPDATE_BUILD_STATUS_TOKEN
     */
    readonly bitbucketTokenName?: string;
    /**
     * The BitBucket server address.
     */
    readonly bitbucketServerAddress: string;
}
/**
 * A construct for reporting CodePipeline build statuses to a BitBucket server using BitBucket REST API.
 *
 * You need to configure SSM parameter BITBUCKET_UPDATE_BUILD_STATUS_TOKEN before using the component.
 */
export declare class CodePipelineBitbucketBuildResultReporter extends cdk.Construct {
    /**
     *
     */
    constructor(scope: cdk.Construct, id: string, props: CodePipelineBitbucketBuildResultReporterProps);
}
